searchData={"items":[{"type":"module","title":"PrEEx.Engine","doc":"A thin wrapper around `EEx.SmartEngine` that makes it nicer to write preformatted text templates.","ref":"PrEEx.Engine.html"},{"type":"module","title":"Usage - PrEEx.Engine","doc":"EEx.eval_string(template, bindings, engine: PrEEx.Engine)","ref":"PrEEx.Engine.html#module-usage"},{"type":"module","title":"Features - PrEEx.Engine","doc":"","ref":"PrEEx.Engine.html#module-features"},{"type":"module","title":"Newline trimming around blocks - PrEEx.Engine","doc":"When interpolating block expressions such as `if` or `for`, newlines are trimmed to avoid undesired whitespace in\nthe rendered template.\n\nUp to two extraneous newlines are removed: the first immediate `\\n` within the block, and the `\\n` immediately following the\nblock. For example, the template\n\n```eex\nhello\n<%= if condition() do %>\nto the\n<% end %>\nworld\n```\n\nis transformed internally to standard EEx\n\n```eex\nhello\n<%= if condition() do %>to the\n<% end %>world\n```\n\nwhich results in\n\n```eex\nhello\nto the\nworld\n```\n\nwhen the condition is true, and\n\n```eex\nhello\nworld\n```\n\nwhen the condition is false, effectively making the lines of EEx invisible.\n\nLoops are also more conveinent to write:\n\n```eex\nHow many licks to the center of a Tootsie Pop?\n<%= for i <- 1..3 do %>\n<%= i %>...\n<% end %>\n3!\n```\n\nresults in\n\n```eex\nHow many licks to the center of a Tootsie Pop?\n1...\n2...\n3...\n3!\n```\n\nNo trimming occurs if the block expression is in the middle of a line. For example,\n\n```eex\nhello <%= if condition() do %>to the <% end %>world\n```\n\nresults in `\"hello to the world\"` or `\"hello world\"`, depending on the condition.\n\nThe special forms `case`, `cond`, and `with` are also trimmed.","ref":"PrEEx.Engine.html#module-newline-trimming-around-blocks"},{"type":"module","title":"Options - PrEEx.Engine","doc":"None at the moment.","ref":"PrEEx.Engine.html#module-options"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}